package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.common.third.zxlnft.dto.nft.Nft032SeriesResp;
import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: SeriesReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:44
 */
@Data
public class Nft032SeriesRespDto implements Serializable {
    private Nft032SeriesResp.SeriesInfo seriesInfo;

    private static final Nft032SeriesRespDto obj = new Nft032SeriesRespDto();
    public static Nft032SeriesRespDto getNew() {
        try {
            return (Nft032SeriesRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft032SeriesRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
